/*

UNIT HD44790

Basic I/O routines for HD44780 industrial lcd-display

Author:	Patrick Lindenberg
Date:	06/16/07

Copyright 2007 by Lindenberg Electronics
All Rights Reserved


*/
#ifndef _LE_HD44780_H_
#define _LE_HD44780_H_ 1


#define LCD_PORT		PORTB
#define LCD_PORT_IO		DDRB  
#define LCD_RS			4

#define CMD_CLEAR		0x01
#define CMD_HOME		0x02



void lcd_data(unsigned char data);
void lcd_command(unsigned char cmd);
void lcd_enable(void);
void lcd_init(void);
void lcd_clear(void);
void lcd_home(void);
void lcd_putstr(char *s);
void lcd_setline(unsigned char line);


#endif /* UNIT HD44780.H */

